=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 http://bitbucket.org/richard42/mupen64plus-video-glide64mk2/downloads/ \
	/richard42/mupen64plus-video-glide64mk2/downloads/mupen64plus-video-glide64mk2-src-(.*).tar.gz
