=== debian/control ===
Source: mupen64plus-video-glide64mk2
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sven Eckelmann <sven@narfation.org>,
 Tobias Loose <TobiasLoose@gmx.de>,
Standards-Version: 4.4.0
Homepage: http://mupen64plus.org/
Vcs-Git: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2.git -b master
Vcs-Browser: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1.1),
 libboost-filesystem-dev,
 libboost-system-dev,
 libgl1-mesa-dev [any-i386 any-amd64] | libgl-dev [any-i386 any-amd64],
 libgles2-mesa-dev [armhf],
 libmupen64plus-dev (>= 2.0),
 libpng-dev,
 libsdl2-dev,
 pkg-config,
 zlib1g-dev | libz-dev,

Package: mupen64plus-video-glide64mk2
Architecture: any-amd64 any-i386
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 mupen64plus-config-abi-2.2,
 mupen64plus-gfx-abi-2.2,
 mupen64plus-vidext-abi-3,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 mupen64plus-video,
Breaks:
 libmupen64plus2 (<< 2.0),
Description: Glide64Mk2 high-level graphics emulation for mupen64plus
 High-level graphics emulation plugin for known microcodes based on Glide. This
 version includes a Glide-to-OpenGL wrapper which makes it independent of
 Voodoo cards. It supports advanced graphics effects of the N64 and loading of
 high resolution texture packs.
 .
 It is based on Glide64 Napalm which was ported to Linux and amd64.
