=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/mupen64plus/mupen64plus-video-glide64mk2/releases \
	/mupen64plus/mupen64plus-video-glide64mk2/releases/download/[^/]+/mupen64plus-video-glide64mk2-src-(.*\d).tar.gz
