## mupen64plus-video-glide64mk2 2.5.9

=== projects/unix/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 # *   Mupen64plus-video-glide64mk2 - Makefile                               *
-# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
+# *   Mupen64Plus homepage: https://mupen64plus.org/                        *
 # *   Copyright (C) 2010 Jon Ring                                           *
 # *   Copyright (C) 2007-2009 Richard Goedeken                              *
 # *   Copyright (C) 2007-2008 DarkJeztr Tillin9                             *
@@ -55,7 +55,6 @@
   OS = FREEBSD
   SO_EXTENSION = so
   SHARED = -shared
-  $(warning OS type "$(UNAME)" not officially supported.')
 endif
 ifneq ("$(filter GNU/kFreeBSD kfreebsd,$(UNAME))","")
   OS = LINUX
@@ -71,7 +70,7 @@
   CPPFLAGS += -DNO_FILTER_THREAD
 endif
 ifeq ("$(OS)","NONE")
-  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
+  $(error OS type "$(UNAME)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
 
 # detect system architecture
@@ -98,6 +97,7 @@
   BIG_ENDIAN := 1
   PIC ?= 1
   NO_ASM := 1
+  NO_SSE := 1
   $(warning Architecture "$(HOST_CPU)" not officially supported.')
 endif
 ifneq ("$(filter ppc64 powerpc64,$(HOST_CPU))","")
@@ -114,15 +114,25 @@
     ARCH_DETECTED := 32BITS
     PIC ?= 1
     NO_ASM := 1
+    NO_SSE := 1
     $(warning Architecture "$(HOST_CPU)" not officially supported.')
   endif
 endif
+ifneq ("$(filter aarch64,$(HOST_CPU))","")
+    CPU := AARCH
+    ARCH_DETECTED := 64BITS
+    PIC ?= 1
+    NEW_DYNAREC := 1
+    NO_ASM := 1
+    NO_SSE := 1
+endif
+
 ifeq ("$(CPU)","NONE")
-  $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'http://code.google.com/p/mupen64plus/issues')
+  $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
 
 # base CFLAGS, LDLIBS, and LDFLAGS
-OPTFLAGS ?= -O3
+OPTFLAGS ?= -O3 -flto
 WARNFLAGS ?= -Wall -Wno-unused-function
 CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I../../src -I../../src/Glitch64/inc -DGCC
 CXXFLAGS += -fvisibility-inlines-hidden -std=gnu++0x
@@ -154,18 +164,21 @@
   LDFLAGS += -Wl,-m,elf_i386
 endif
 
+ifeq ($(origin PKG_CONFIG), undefined)
+  PKG_CONFIG = $(CROSS_COMPILE)pkg-config
+  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
+    $(error $(PKG_CONFIG) not found)
+  endif
+endif
+
 # set special flags per-system
 ifeq ($(OS), LINUX)
-  OPTFLAGS += -flto=jobserver
   # only export api symbols
   LDFLAGS += -Wl,-version-script,$(SRCDIR)/video_api_export.ver
   LDLIBS += -ldl
 endif
 ifeq ($(OS), OSX)
-  #xcode-select has been around since XCode 3.0, i.e. OS X 10.5
-  OSX_SDK_ROOT = $(shell xcode-select -print-path)/Platforms/MacOSX.platform/Developer/SDKs
-  OSX_SDK_PATH = $(OSX_SDK_ROOT)/$(shell ls $(OSX_SDK_ROOT) | tail -1)
-
+  OSX_SDK_PATH = $(shell xcrun --sdk macosx --show-sdk-path)
   ifeq ($(CPU), X86)
     LDFLAGS += -bundle -L/opt/local/lib
     CXXFLAGS += -stdlib=libc++
@@ -176,20 +189,22 @@
       CFLAGS += -pipe -I /opt/local/include -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.7 -isysroot $(OSX_SDK_PATH)
     endif
   endif
+  # use system zlib on OSX
+  ZLIB_LDLIBS += -lz
 endif
 ifeq ($(OS), FREEBSD)
   LDLIBS += -lc
 endif
-
-ifeq ($(origin PKG_CONFIG), undefined)
-  PKG_CONFIG = $(CROSS_COMPILE)pkg-config
-  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
-    $(error $(PKG_CONFIG) not found)
-  endif
-endif
-
-ifeq ($(OS), OSX) # use system zlib on OSX
-  ZLIB_LDLIBS += -lz
+ifeq ($(OS), MINGW)
+  ifeq ($(origin GLEW_CFLAGS) $(origin GLEW_LDLIBS), undefined undefined)
+    ifeq ($(shell $(PKG_CONFIG) --modversion glew 2>/dev/null),)
+      $(error No GLEW development libraries found!)
+    endif
+    GLEW_CFLAGS += $(shell $(PKG_CONFIG) --cflags glew)
+    GLEW_LDLIBS +=  $(shell $(PKG_CONFIG) --libs glew)
+  endif
+  CFLAGS += $(GLEW_CFLAGS)
+  LDLIBS += $(GLEW_LDLIBS)
 endif
 
 ifeq ($(origin ZLIB_CFLAGS) $(origin ZLIB_LDLIBS), undefined undefined)
@@ -213,9 +228,14 @@
 LDLIBS += $(LIBPNG_LDLIBS)
 
 # search for OpenGL libraries
+ifeq ($(VC), 1)
+  GL_CFLAGS += -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux
+  GL_LDLIBS += -lm -L/opt/vc/lib -lEGL -lbcm_host
+  USE_GLES=1
+endif
 ifeq ($(USE_GLES), 1)
   CFLAGS += -DUSE_GLES
-  GL_LDLIBS = -lGLESv2
+  GL_LDLIBS += -lGLESv2
 endif
 ifeq ($(OS), OSX)
   GL_LDLIBS = -framework OpenGL
@@ -384,23 +404,3 @@
 	$(SRCDIR)/GlideHQ/TextureFilters_2xsai.cpp \
 	$(SRCDIR)/GlideHQ/TextureFilters_hq2x.cpp \
 	$(SRCDIR)/GlideHQ/TextureFilters_hq4x.cpp \
-	$(SRCDIR)/GlideHQ/TxImage.cpp \
-	$(SRCDIR)/GlideHQ/TxReSample.cpp \
-	$(SRCDIR)/GlideHQ/TxDbg.cpp \
-	$(SRCDIR)/GlideHQ/tc-1.1+/fxt1.c \
-	$(SRCDIR)/GlideHQ/tc-1.1+/wrapper.c \
-	$(SRCDIR)/GlideHQ/tc-1.1+/texstore.c
-
-CPPFLAGS += -DTEXTURE_FILTER -DDUMP_CACHE
-LDLIBS += -lboost_filesystem$(BOOST_SUFFIX) -lboost_system$(BOOST_SUFFIX)
-
-  ifeq ($(TXCDXTN), 1)
-    CPPFLAGS += -DTXCDXTN_EXTERNAL
-  else 
-    SOURCE += \
-	$(SRCDIR)/GlideHQ/tc-1.1+/s2tc/s2tc_algorithm.cpp \
-	$(SRCDIR)/GlideHQ/tc-1.1+/s2tc/s2tc_libtxc_dxtn.cpp
-  endif
-endif
-
-ifeq ($(OS),MINGW)
