=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.4.0
+Standards-Version: 4.3.0
 Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2.git -b master
+Vcs-Git: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2.git
 Vcs-Browser: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 12),
  dpkg-dev (>= 1.16.1.1),
  libboost-filesystem-dev,
  libboost-system-dev,
