## mupen64plus-video-glide64mk2 2.5.9%2B27%2Bga07050d

=== projects/unix/Makefile ===
--- 
+++ 
@@ -108,6 +108,15 @@
   NO_ASM := 1
   $(warning Architecture "$(HOST_CPU)" not officially supported.')
 endif
+ifneq ("$(filter ppc64le powerpc64le,$(HOST_CPU))","")
+  CPU := PPC
+  ARCH_DETECTED := 64BITS
+  BIG_ENDIAN := 0
+  PIC ?= 1
+  NO_ASM := 1
+  NO_SSE := 1
+  $(warning Architecture "$(HOST_CPU)" not officially supported.')
+endif
 ifneq ("$(filter arm%,$(HOST_CPU))","")
   ifeq ("$(filter arm%b,$(HOST_CPU))","")
     CPU := ARM
@@ -126,15 +135,25 @@
     NO_ASM := 1
     NO_SSE := 1
 endif
-
+ifneq ("$(filter riscv64,$(HOST_CPU))","")
+    CPU := RISCV64
+    ARCH_DETECTED := 64BITS
+    PIC ?= 1
+    NO_ASM := 1
+    NO_SSE := 1
+    $(warning Architecture "$(HOST_CPU)" not officially supported.)
+endif
 ifeq ("$(CPU)","NONE")
   $(error CPU type "$(HOST_CPU)" not supported.  Please file bug report at 'https://github.com/mupen64plus/mupen64plus-core/issues')
 endif
+
+SRCDIR = ../../src
+OBJDIR = _obj$(POSTFIX)
 
 # base CFLAGS, LDLIBS, and LDFLAGS
 OPTFLAGS ?= -O3 -flto
 WARNFLAGS ?= -Wall -Wno-unused-function
-CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I../../src -I../../src/Glitch64/inc -DGCC
+CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I$(SRCDIR) -I$(SRCDIR)/Glitch64/inc -DGCC
 CXXFLAGS += -fvisibility-inlines-hidden -std=gnu++0x
 LDFLAGS += $(SHARED)
 BOOST_SUFFIX ?=
@@ -160,8 +179,20 @@
   ifeq ($(OS), FREEBSD)
     $(error Do not use the BITS=32 option with FreeBSD, use -m32 and -m elf_i386)
   endif
-  CFLAGS += -m32
-  LDFLAGS += -Wl,-m,elf_i386
+  ifneq ($(OS), OSX)
+    ifeq ($(OS), MINGW)
+      LDFLAGS += -Wl,-m,i386pe
+    else
+      CFLAGS += -m32
+      LDFLAGS += -Wl,-m,elf_i386
+    endif
+  endif
+endif
+
+ifeq ($(ARCH_DETECTED), 64BITS)
+  ifeq ($(OS), MINGW)
+    LDFLAGS += -Wl,-m,i386pep
+  endif
 endif
 
 ifeq ($(origin PKG_CONFIG), undefined)
@@ -351,9 +382,6 @@
   PLUGINDIR := $(LIBDIR)/mupen64plus
 endif
 
-SRCDIR = ../../src
-OBJDIR = _obj$(POSTFIX)
-
 # list of source files to compile
 SOURCE = \
 	$(SRCDIR)/Glide64/3dmath.cpp \
@@ -382,25 +410,3 @@
 		$(SRCDIR)/Glitch64/OGLcombiner.cpp \
 		$(SRCDIR)/Glitch64/OGLgeometry.cpp \
 		$(SRCDIR)/Glitch64/OGLglitchmain.cpp \
-		$(SRCDIR)/Glitch64/OGLtextures.cpp
-endif
-
-ifeq ($(USE_FRAMESKIPPER), 1)
-	SOURCE += \
-		$(SRCDIR)/Glide64/FrameSkipper.cpp
-endif
-
-ifneq ($(HIRES), 0)
-SOURCE += \
-	$(SRCDIR)/GlideHQ/Ext_TxFilter.cpp \
-	$(SRCDIR)/GlideHQ/TxFilterExport.cpp \
-	$(SRCDIR)/GlideHQ/TxFilter.cpp \
-	$(SRCDIR)/GlideHQ/TxCache.cpp \
-	$(SRCDIR)/GlideHQ/TxTexCache.cpp \
-	$(SRCDIR)/GlideHQ/TxHiResCache.cpp \
-	$(SRCDIR)/GlideHQ/TxQuantize.cpp \
-	$(SRCDIR)/GlideHQ/TxUtil.cpp \
-	$(SRCDIR)/GlideHQ/TextureFilters.cpp \
-	$(SRCDIR)/GlideHQ/TextureFilters_2xsai.cpp \
-	$(SRCDIR)/GlideHQ/TextureFilters_hq2x.cpp \
-	$(SRCDIR)/GlideHQ/TextureFilters_hq4x.cpp \
