=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.3.0
-Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2.git
-Vcs-Browser: https://salsa.debian.org/ecsv-guest/mupen64plus-video-glide64mk2
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://mupen64plus.org/
+Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-glide64mk2.git -b debian/unstable
+Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-video-glide64mk2
 Build-Depends:
- debhelper (>= 12),
- dpkg-dev (>= 1.16.1.1),
+ debhelper-compat (= 13),
  libboost-filesystem-dev,
  libboost-system-dev,
- libgl1-mesa-dev [any-i386 any-amd64] | libgl-dev [any-i386 any-amd64],
+ libgl-dev [any-i386 any-amd64],
  libgles2-mesa-dev [armhf],
- libmupen64plus-dev (>= 2.0),
+ libmupen64plus-dev,
  libpng-dev,
  libsdl2-dev,
  pkg-config,
@@ -35,8 +35,6 @@
  ${shlibs:Depends},
 Provides:
  mupen64plus-video,
-Breaks:
- libmupen64plus2 (<< 2.0),
 Description: Glide64Mk2 high-level graphics emulation for mupen64plus
  High-level graphics emulation plugin for known microcodes based on Glide. This
  version includes a Glide-to-OpenGL wrapper which makes it independent of
