## mupen64plus-video-glide64mk2 2.5.9+25+g95229fe

=== debian/changelog ===
mupen64plus-video-glide64mk2 (2.5.9+25+g95229fe-2) unstable; urgency=medium

  * debian/patches:
    - Add rdp-Avoid-signed-overflow-during-texture-block-loading.patch,
      Fix "swapped" pixels in various textures with GCC 12

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 22:04:30 +0100

mupen64plus-video-glide64mk2 (2.5.9+25+g95229fe-1) unstable; urgency=medium

  * New Upstream Snapshot from 5dba5bd533911b0306dfad7349f0ed96bf47ec76
  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 13:57:09 +0100

mupen64plus-video-glide64mk2 (2.5-8) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Allow build without (fake)root
    - Move repository to from ecsv-guest to games-team
    - Switch default Vcs-Git branch to debian/unstable
    - Switch to debhelper compat 13
    - Remove versioned constraints unnecessary since buster
    - Use secure URI in Homepage field
    - Replace Build-Depends libgl1-mesa-dev with libgl-dev
  * debian/copyright
    - Update copyright years to 2022
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * debian/rules:
    - Drop default flag --as-needed from linker flags
  * Remove constraints unnecessary since buster (oldstable):
    + mupen64plus-video-glide64mk2: Drop versioned constraint on libmupen64plus2 in
      Breaks.

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 19:01:31 +0100
