## mupen64plus-video-glide64mk2 2.5.9+27+ga07050d

=== debian/changelog ===
mupen64plus-video-glide64mk2 (2.5.9+27+ga07050d-1) unstable; urgency=medium

  * New Upstream Snapshot from a07050d143dddff921180b081164d46aaef2eb29
  * debian/rules:
    - disallow compiler to drop code related to signed integer overflows during
      optimization
  * Override invalid lintian warnings/errors
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 18:52:10 +0100
