## mupen64plus-video-glide64mk2 2.6.0

=== projects/unix/Makefile ===
--- 
+++ 
@@ -44,7 +44,6 @@
   OS = OSX
   SO_EXTENSION = dylib
   SHARED = -bundle
-  BOOST_SUFFIX = -mt
 endif
 ifeq ("$(UNAME)","FreeBSD")
   OS = FREEBSD
@@ -66,7 +65,6 @@
   SO_EXTENSION = dll
   SHARED = -shared
   PIC = 0
-  BOOST_SUFFIX = -mt
   CPPFLAGS += -DNO_FILTER_THREAD
 endif
 ifeq ("$(OS)","NONE")
@@ -154,9 +152,8 @@
 OPTFLAGS ?= -O3 -flto
 WARNFLAGS ?= -Wall -Wno-unused-function
 CFLAGS += $(OPTFLAGS) $(WARNFLAGS) -ffast-math -fno-strict-aliasing -fvisibility=hidden -I$(SRCDIR) -I$(SRCDIR)/Glitch64/inc -DGCC
-CXXFLAGS += -fvisibility-inlines-hidden -std=gnu++0x
+CXXFLAGS += -fvisibility-inlines-hidden -std=gnu++17
 LDFLAGS += $(SHARED)
-BOOST_SUFFIX ?=
 
 ifeq ($(CPU), X86)
   CFLAGS +=  -mmmx -msse
@@ -215,9 +212,9 @@
     CXXFLAGS += -stdlib=libc++
     LDLIBS += -ldl
     ifeq ($(ARCH_DETECTED), 64BITS)
-      CFLAGS += -pipe -I /opt/local/include -arch x86_64 -mmacosx-version-min=10.7 -isysroot $(OSX_SDK_PATH)
+      CFLAGS += -pipe -I /opt/local/include -arch x86_64 -mmacosx-version-min=10.15 -isysroot $(OSX_SDK_PATH)
     else
-      CFLAGS += -pipe -I /opt/local/include -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.7 -isysroot $(OSX_SDK_PATH)
+      CFLAGS += -pipe -I /opt/local/include -mmmx -msse -fomit-frame-pointer -arch i686 -mmacosx-version-min=10.15 -isysroot $(OSX_SDK_PATH)
     endif
   endif
   # use system zlib on OSX
@@ -410,3 +407,6 @@
 		$(SRCDIR)/Glitch64/OGLcombiner.cpp \
 		$(SRCDIR)/Glitch64/OGLgeometry.cpp \
 		$(SRCDIR)/Glitch64/OGLglitchmain.cpp \
+		$(SRCDIR)/Glitch64/OGLtextures.cpp
+endif
+
