=== debian/control ===
--- 
+++ 
@@ -5,21 +5,19 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://mupen64plus.org/
 Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-glide64mk2.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-video-glide64mk2
 Build-Depends:
  debhelper-compat (= 13),
- libboost-filesystem-dev,
- libboost-system-dev,
  libgl-dev [any-i386 any-amd64],
  libgles2-mesa-dev [armhf],
  libmupen64plus-dev,
  libpng-dev,
  libsdl2-dev,
- pkg-config,
+ pkgconf,
  zlib1g-dev | libz-dev,
 
 Package: mupen64plus-video-glide64mk2
